#ifndef FS_H
#define FS_H

enum EResult {
	FS_BUSY = -1,
	FS_OK = 0,
	FS_HELP,
	FS_ABORTED,
	FS_ERROR_ARGUMENT,
	FS_ERROR_NO_SYNC,
	FS_ERROR_MEMORY,
	FS_ERROR_INIT,
	FS_ERROR_SYNC,
	FS_ERROR_IO,
	FS_ERROR_P4
};

typedef void		(*SyncStatCallbackFunc) (int inFileCount, long long inSyncSize);
typedef void		(*FileStatCallbackFunc) (const char* inDepotFile, const char* inClientFile, const char* inAction, int inRev, long long inFileSize);
typedef void		(*BufferCallbackFunc) (long long inWriteSize);

EResult				Sync(int argc, char **argv, const char* inToolName, SyncStatCallbackFunc inSyncStatCallback = NULL, FileStatCallbackFunc inFileStatCallback = NULL, BufferCallbackFunc inReadCallback = NULL, BufferCallbackFunc inWriteCallback = NULL);
void				AbortSync();

const char*			GetErrorMessage();
const char*			GetExtendedErrorMessage();

#endif